'use client';
import Dropdown from '@/components/dropdown';
import IconCaretDown from '@/components/icon/icon-caret-down';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { IRootState } from '@/store';
import React from 'react';
import { useSelector } from 'react-redux';

export default function() {
    const isRtl = useSelector((state: IRootState) => state.themeConfig.rtlClass) === 'rtl';
    return (
        <PanelCodeHighlight
            title="کشویی به سمت راست"
        >
            <div className="mb-5">
                <div className="flex w-full flex-wrap justify-around gap-7">
                    <div className="flex items-center justify-center">
                        <div className="dropdown">
                            <Dropdown
                                placement={`${isRtl ? 'right-end' : 'right-start'}`}
                                btnClassName="btn btn-warning dropdown-toggle !flex"
                                button={
                                    <>
                                        منو
                                        <IconCaretDown className="inline-block -rotate-90 ltr:ml-1 rtl:mr-1 rtl:rotate-90" />
                                    </>
                                }
                            >
                                <ul className="!min-w-[170px]">
                                    <li>
                                        <button type="button">منوی اول</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی دوم</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی سوم</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی چهارم</button>
                                    </li>
                                </ul>
                            </Dropdown>
                        </div>
                    </div>
                    <div className="flex items-center justify-center">
                        <div className="dropdown">
                            <Dropdown
                                placement={`${isRtl ? 'right-end' : 'right-start'}`}
                                btnClassName="btn btn-outline-warning dropdown-toggle !flex"
                                button={
                                    <>
                                        منو
                                        <IconCaretDown className="inline-block -rotate-90 ltr:ml-1 rtl:mr-1 rtl:rotate-90" />
                                    </>
                                }
                            >
                                <ul className="!min-w-[170px]">
                                    <li>
                                        <button type="button">منوی اول</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی دوم</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی سوم</button>
                                    </li>
                                    <li>
                                        <button type="button">منوی چهارم</button>
                                    </li>
                                </ul>
                            </Dropdown>
                        </div>
                    </div>
                </div>
            </div>
        </PanelCodeHighlight>
    );
}
